import request from '@/utils/request'

// 查询可充电储能子系统电压信息列表
export function listVoltage(query) {
  return request({
    url: '/voltage/voltage/list',
    method: 'get',
    params: query
  })
}

// 查询可充电储能子系统电压信息详细
export function getVoltage(id) {
  return request({
    url: '/voltage/voltage/' + id,
    method: 'get'
  })
}

// 新增可充电储能子系统电压信息
export function addVoltage(data) {
  return request({
    url: '/voltage/voltage',
    method: 'post',
    data: data
  })
}

// 修改可充电储能子系统电压信息
export function updateVoltage(data) {
  return request({
    url: '/voltage/voltage',
    method: 'put',
    data: data
  })
}

// 删除可充电储能子系统电压信息
export function delVoltage(id) {
  return request({
    url: '/voltage/voltage/' + id,
    method: 'delete'
  })
}
